diff --git a/src/dot.cpp b/src/dot.cpp
index 286537a..b1bf7d5 100644
--- a/src/dot.cpp
+++ b/src/dot.cpp
@@ -341,7 +341,20 @@ DotRunner::DotRunner(const char *file) : m_file(file)
 
 void DotRunner::addJob(const char *format,const char *output)
 {
-  QCString args = QCString("-T")+format+" -o \""+output+"\"";
+  QCString args;
+  // avoid large images by using the gd renderer
+  if (strcmp(format, "png")==0)
+  {
+    fprintf (stderr, "format: %s, adding :gd\n", format);
+    args = QCString("-T")+format+":gd -o \""+output+"\"";
+  }
+  else
+  {
+    fprintf (stderr, "format: %s, not adding anything\n", format);
+    args = QCString("-T")+format+" -o \""+output+"\"";
+  }
+  fflush (stderr);
+
   m_jobs.append(new QCString(args));
 }
 
